/***********************************************************/
/*                                                         */
/* Alien Breed: Tower Assault                              */
/* Program/Level Data appending program                    */
/* Copyright 2000 Jimsoft Software/TCPA                   */
/* Written and Programmed by James Vernon <james@calc.org> */
/*                                                         */
/***********************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define ERR_USAGE 3
#define ERR_SWITCH 2
#define ERR_FILE 1


int main(int argc, char *argv[])
{
	FILE *main, *data;
	char name[13], byte;

	if (argc != 2)
	{
		printf("USAGE: %s <83|83P>\n", argv[0]);
		return ERR_USAGE;
	}

	if ((strcmp(argv[1], "83")) == 0)
		strcpy(name, "towerdat.bin");
	else if (((strcmp(argv[1], "83p")) == 0) || ((strcmp(argv[1], "83P")) == 0))
		strcpy(name, "towerda_.bin");
	else
	{
		printf("Invalid switch: %s\n", argv[1]);
		return ERR_SWITCH;
	}

	if ((main = fopen("tower.bin", "ab")) == NULL)
	{
		printf("Error opening tower.bin!\n");
		return ERR_FILE;
	}

	if ((data = fopen(name, "rb")) == NULL)
	{
		printf("Error opening %s!\n", name);
		return ERR_FILE;
	}

	printf("\nAppending %s to the end of tower.bin...", name);

	while ((fread(&byte, 1, 1, data)) == 1)
		fwrite(&byte, 1, 1, main);

	printf(" Success!\n\n");

	fclose(main);
	fclose(data);

	return 0;
}
